QueueDefinition Struct Reference

## Data Fields

int8_t * | pcHead
int8_t * | pcTail
int8_t * | pcWriteTo
union {
int8_t * pcReadFrom
UBaseType_t uxRecursiveCallCount
} | u
List_t | xTasksWaitingToSend
List_t | xTasksWaitingToReceive
volatile UBaseType_t | uxMessagesWaiting
UBaseType_t | uxLength
UBaseType_t | uxItemSize
volatile int8_t | cRxLock
volatile int8_t | cTxLock

## Field Documentation

## cRxLock

volatile int8_t cRxLock

## cTxLock

volatile int8_t cTxLock

## pcHead

int8_t* pcHead

## pcReadFrom

int8_t* pcReadFrom

## pcTail

int8_t* pcTail

## pcWriteTo

int8_t* pcWriteTo

## u

union { ... } u

## uxItemSize

UBaseType_t uxItemSize

## uxLength

UBaseType_t uxLength

## uxMessagesWaiting

volatile UBaseType_t uxMessagesWaiting

## uxRecursiveCallCount

UBaseType_t uxRecursiveCallCount

## xTasksWaitingToReceive

List_t xTasksWaitingToReceive

## xTasksWaitingToSend

List_t xTasksWaitingToSend

The documentation for this struct was generated from the following file:

- queue.c